// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "CsdkBtnParam.h"
#include "Blueprint/UserWidget.h"
#include "CsdkBaseBtnSlotWidget.generated.h"

/**
 * 
 */
UCLASS()
class CSDKUI_API UCsdkBaseBtnSlotWidget : public UUserWidget
{
	GENERATED_BODY()
public:
	UFUNCTION(BlueprintImplementableEvent)
	void OnSlotWidgetPressed();

	UFUNCTION(BlueprintImplementableEvent)
	void OnSlotWidgetReleased();

public:
	UPROPERTY(EditAnywhere,BlueprintReadWrite,Category="CSDK", meta=(ExposeOnSpawn))
	FCsdkBtnParam BtnParam;
};
